@mixin title($maxWidth, $class, $ml){
    &--#{$class}{
        max-width: $maxWidth;
        width: 100%;
        margin-left: $ml;
    }
}
@mixin color($class, $color){
    &.#{$class}{
        &::after{
            content: '';
            background: $color;
        }
    }
}
@mixin before($class, $text){
    &.#{$class}{
        &::before{
            content: $text;
        }
    }
}
@media (min-width: 2560px){
    .footer{
        &__inner{
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    }
}

@media (max-width: 1800px){
    .basket .marketBottom__market2-pag{
        margin-left: -5.2vh;
    }

    .marketBottom__lots .marketBottom__market2-pag,
    .marketBottom__lot .marketBottom__market2-pag{
        margin-left: 33px;
    }
}

@media(max-width: 1700px){
    .marketBottom__chats-right--title{
        font-size: 12px;
    }

    .block__title{
        font-size: 20px;
    }

    .basket .marketBottom__market2-pag{
        margin-left: -55px;
    }
}
@media (max-width: 1600px){
    .footer{
        &__inner{
            padding: 142px 49px 50px 39px;
        }
    }

    .slider{
        &__slide{
            padding: 0px 71px 0px 44px;
            &-mine{
                right: -53px;
            }
        }
    }

    .basket .marketBottom__market2-pag{
        margin-left: -6vh;
    }

    .marketBottom__lots .marketBottom__market2-pag,
    .marketBottom__lot .marketBottom__market2-pag {
        margin-left: 20px;
    }

    .marketBottom {
        &__center{
            min-width: 201px;
        }
    }

    .marketBottom__market2-bigBlock.full{
        .marketBottom__market2-bigBlock--grey{
            max-width: 798px;
        }
    }

    .marketBottom__market2-titleLine.full{
        .marketBottom__market2-titleLine{
            @include title(10.52vw, 'title', 2.34vw);
            @include title(6.3vw, 'icon', 0.94vw);
            @include title(6.94vw, 'rare', 1.61vw);
            @include title(5.9vw, 'huge', 0.94vw);
            @include title(6.53vw, 'type', 0.94vw);
            @include title(4.06vw, 'shiny', 0.99vw);
            @include title(3.80vw, 'hc', 0.89vw);
            @include title(15.280000000000001vw, 'power', 0.89vw);
            @include title(4.84vw, 'num', 1.09vw);
            @include title(5.47vw, 'price', 1.93vw);
        }
    }

    .marketBottom__setting-title {
        max-width: 185px;
    }

    .marketBottom__notifications-settings {
        padding: 32px 33px 70px 53px;
    }
}

@media (max-width: 1500px){
    .marketBottom{
        &__box{
            height: 82px;
            svg{
                height: auto;
                width: 30px;
            }
        }
        &__innerMarket{
            @include changeGrid(5);
        }
    }

    .marketBottom__lots .marketBottom__market2-pag,
    .marketBottom__lot .marketBottom__market2-pag {
        margin-left: 8px;
    }

    .marketBottom__box.message::after{
        content: '';
        bottom: 37px;
    }
}

@media (max-width: 1440px){
    .profile{
        &__basket{
            &-num{
                padding-top: 0;
            }
        }
    }

    .slider{
        &__nextButton{
            margin-left: 44px;
        }
        &__prevButton{
            margin-right: 44px;
        }

        &__slide{
            &-left{
                img{
                    width: 478px;
                    bottom: -133px;
                }
            }
        }
    }

    .marketBottom__chats-right--title{
        font-size: 12px;
    }

    .marketBottom__chats-right--content{
        height: 372px;
    }

    .marketBottom__market2-titleLine--num{
        margin-left: 2.09vw;
    }

    .marketBottom__market2-titleLine--huge{
        margin-left: 1.94vw;
    }

    .marketBottom__market2-titleLine--type{
        margin-left: 1.3vw;
    }

    .marketBottom__notifications-settings {
        padding: 32px 37px 70px 53px;
    }
}



@media (max-width: 1366px){
    $height: 440px;
    .header{
        &__inner{
            padding: 36px 38px 23px 36px;
        }
    }

    .marketBottom__lots .marketBottom__market2-pag {
        margin-left: -20px;
    }

    .marketBottom__lot .marketBottom__market2-pag {
        margin-left: -20px;
    }

    .basket .marketBottom__market2-pag{
        margin-left: -108px;
    }

    .marketBottom__inner{
        height: $height;
    }

    .marketBottom__myLots .marketBottom__lots-bottom{
        height: 360px;
    }

    .marketBottom__lots-bottom{
        height: 170px;
    }

    .marketBottom__box.message::after{
        content: '';
        bottom: 29px;
        right: 37px;
    }

    .marketBottom__lot-text::before{
        font-size: 12px;
    }

    .marketBottom__lot-text:not(:first-of-type) {
        margin-left: 11px;
    }

    .marketBottom__lot-top {
        grid-template-columns: minmax(auto, 1296px) 226px;
    }

    .marketBottom__lot-toChat {
        padding: 0px 17px 0px 27px;
    }

    .marketBottom__lot-info {
        padding: 13px 22px 13px 24px;
    }

    .marketBottom__lot-text{
        font-size: 12px;
    }

    .marketBottom__history-bottom{
        height: 369px;
    }

    .marketBottom__notifications-settings{
        max-height: 85%;
        overflow: auto;
        &::-webkit-scrollbar{
            width: 5px;
        }
        &::-webkit-scrollbar-track{
            background: var(--scrollbar-color);
            border-radius: 8px;
            margin-right: 20px;
        }
        &::-webkit-scrollbar-thumb{
            background-color: $orange;
            border-radius: 6.5px;
        }
    }

    .marketBottom{
        &__box{
            height: 70px;
            svg{
                width: 22px;
            }
            &-text{
                margin-top: 6px;
            }
        }

        &__innerMarket{
            @include changeGrid(4);
        }

        &__chatSelect{
            &-name{
                font-size: 10px;
            }
            &-avatar{
                @include box(40px, 50%);
            }
        }

        &__chats{
            &-left{
                width: 254px;
                height: 405px;
            }
            &-right{
                width: 280px;
                &--content{
                    padding-right: 5px;
                    height: 144px;
                }
                &--title{
                    font-size: 10px;
                    &.mini{
                        font-size: 8px;
                    }
                }
            }
            &-chat{
                max-width: 598px;
            }
        }
        &__chat{
            &-text{
                padding-left: 53px;
            }
        }
    }

    .marketBottom__market2-block--basket{
        min-width: 42px;
    }
    .marketBottom__market2-titleLine--huge {
        margin-left: 0.94vw;
    }
    .marketBottom__market2-titleLine--type {
        margin-left: 1.6vw;
    }
    .marketBottom__market2-titleLine--shiny{
        margin-left: 0;
    }
    .marketBottom__market2-block--hcWrappeer {
        margin-left: 1.6vw;
    }
    .marketBottom__market2-block--shinyWapper {
        margin-left: 1.5vw;
    }
    .marketBottom__market2-block--numWrapper {
        max-width: 4.3vw;
    }
    .marketBottom__market2-titleLine--price {
        margin-left: 1.6vw;
    }
    .marketBottom__market2-titleLine--power {
        margin-left: 0.89vw;
    }

    .marketBottom__chats-chatSelect.online .marketBottom__chatSelect-avatar--wapper::after{
        content: '';
        bottom: 4px;
    }

    .marketBottom__market2-block--iconWrapper {
        max-width: 4.51vw;
    }


    .profile{
        &__top{
            &-right{
                &--link{
                    &:not(:last-of-type){
                        margin-right: 91px;
                    }
                }
            }
        }
        &__center{
            &-column{
                &.mr{
                    margin-right: 46px;
                }
            }
        }
        &__grid{
            gap: 15px;
        }
    }

    .slider{
        &__slide{
            padding: 0px 45px 0px 10px;
            &-mine{
                right: 26px;
                bottom: 21px;
            }
            &-chest{
                left: -101px;
            }
        }
    }


    // .marketBottom__innerMarket{
    //     @include grid(4, 1fr, 19px 14px);
    // }


    .marketBottom__chats-chat{
        height: 409px;
        &--wrapper{
            height: 339px;
        }
    }
    .marketBottom__left.bigMR {
        margin-right: 25px;
    }

    .marketBottom__chat-message--message{
        min-width: auto;
    }

    .marketBottom__chats-left {
        padding-right: 11px;
        margin-right: 11px;
    }

    .marketBottom__chats-right--title:not(:last-of-type){
        margin-right: 10px;
    }

    .marketBottom__market2-titleLine--num {
        margin-left: 0.09vw;
    }

    .footer{
        &__column{
            &:first-of-type,
            &:nth-of-type(2){
                margin-right: 0;
            }
        }
        &__top{
            justify-content: space-between;
        }
    }
}

@media (max-width: 1280px){
    .profile{
        &__left{
            max-width: 270px;
            padding: 37px 21px;
        }
        &__right{
            max-width: 270px;
            &-box{
                padding: 37px 21px;
            }
        }
    }

    .marketBottom__lot-text::before {
        font-size: 10px;
    }

    .marketBottom__history-pageSelect{
        font-size: 12px;
    }

    .marketBottom__history-pageSelect:not(:last-of-type) {
        margin-right: 40px;
    }

    .marketBottom__history-text,
    .marketBottom__history-more,
    .marketBottom__history-text::before{
        font-size: 12px;
    }

    .marketBottom__history-pageSelect {
        min-width: 124px;
    }

    .marketBottom__history-histor{
        padding: 13px 27px;
    }

    .marketBottom__history-selectText{
        margin-right: 63px;
        font-size: 12px;
    }

    .marketBottom__setting-title{
        font-size: 12px;
    }

    .marketBottom__market2-titleLine--titleBlockText{
        font-size: 10px !important;
    }


    .marketBottom__notifications-right {
        max-width: 343px;
        width: 100%;
    }

    .marketBottom__market2-block--iconWrapper img {
        width: 35px;
        height: auto;
    }

    .marketBottom__market2-titleLine--rare {
        margin-left: 0;
    }

    .marketBottom__market2-titleLine--power {
        margin-left: 0.1vw;
    }

    .marketBottom__box {
        height: 59px;
    }

    .marketBottom__box.message::after {
        content: "";
        bottom: 24px;
    }

    .marketBottom__chat-message--name{
        font-size: 10px;
    }

    .marketBottom__chat-message--date{
        font-size: 7px;
    }

    .marketBottom__chat-message--message{
        font-size: 10px;
        line-height: 14px;
    }

    .marketBottom__chatSelect-avatar--wapper{
        margin-right: 17px;
    }

    .marketBottom__left.bigMR {
        margin-right: 21px;
    }

    .marketTop__center{
        padding: 17px 31px 15px 22px;
    }

    .marketBottom__chats-right--line{
        margin: 0px 0px 28px;
    }

    .marketBottom__market2-titleLine--huge {
        margin-left: 0.94vw;
    }

    .marketBottom__market2-titleLine--type {
        margin-left: 2.1vw;
    }

    .marketBottom__market2-titleLine--shiny {
        margin-left: -0.01vw;
    }

    .marketBottom__market2-block--numWrapper {
        max-width: 3.84vw;
    }

    .marketBottom__market2-titleLine--price {
        margin-left: 1.1vw;
    }

    .marketBottom__market2-block--hcWrappeer {
        margin-left: 1.8vw;
    }

    .marketBottom__market2-block--shinyWapper {
        margin-left: 1.3vw;
    }

    .marketBottom__market2-block--powerWrapper{
        margin-left: 0;
    }

    .marketBottom__notification-title{
        margin-right: 10px;
    }

    .marketBottom__history-text:not(:first-of-type) {
        margin-left: 18px;
    }

    .marketBottom__history-bottom{
        padding-right: 24px;
    }

    .slider{
        &__button{
            padding: 14px 15px;
        }

        &__nextButton{
            margin-left: 20px;
        }
        &__prevButton{
            margin-right: 20px;
        }
    }
}

@media (max-width: 1181px){
    .header{
        &__logo{
            font-size: 20px;
            margin-right: 40px;
        }

        &__inner{
            padding: 36px 14px 23px 14px;
        }
    }

    .header__login {
        padding: 12px 23px 13px;
    }

    .header__reg {
        padding: 14px 20px 12px;
    }

    .marketBottom__notifications-settings {
        padding: 32px 25px 70px 27px;
    }

    .marketBottom__setting-title {
        max-width: 165px;
    }

    .question__question{
        width: 191px;
    }

    .marketBottom__notifications{
        margin-right: 25px;
    }

    .profile{
        &__left,
        &__right{
            max-width: none;
            width: 100%;
        }

        &__grid{
            grid-template-columns: repeat(2, 1fr);
        }
    }

    .marketTop{
        &__center{
            padding: 17px 25px 15px 22px;
        }

        &__left{
            min-width: 268px;
        }
    }

    .marketBottom{
        &__center{
            width: 138px;
            padding: 21px 18px 39px 16px;
        }

        &__innerMarket{
            @include changeGrid(3);
        }
    }

    .marketBottom__lot-text::before {
        font-size: 8px;
    }

    .slider__slide {
        padding: 0px 9px 0px 10px;
    }

    .new{
        &__tags{
            @include grid(3, 96px, 5px 6px)
        }
    }

    .marketBottom__market2-titleLine--titleBlockText{
        font-size: 8px !important;
    }

    .marketBottom__history-text, .marketBottom__history-more, .marketBottom__history-text::before{
        font-size: 10px;
    }

    .footer{
        &__column{
            &-contnent{
                gap: 30px 3px;
            }
        }
    }
}

@media (max-width: 1167px){
    .marketBottom__chats-right--title{
        font-size: 8px;
    }

    .marketBottom__chats-button,
    .marketBottom__chats-select{
        font-size: 12px;
    }
}

@media (max-width: 1075px){
    .marketBottom__chatSelect-avatar{
        @include box(30px, 50%);
    }

    .marketBottom__chats-chatSelect.online .marketBottom__chatSelect-avatar--wapper::after{
        @include box(10px, 50%);
    }

    .marketBottom__chatSelect-name,
    .marketBottom__chats-right--title{
        font-size: 8px;
        line-height: 10px;
    }

    .marketBottom__chats-button{
        font-size: 8px;
        padding: 8px 0px 10px;
    }

    .marketBottom__chats-chat{
        margin-right: 12px;
    }
}

@media (max-width: 1000px){
    .marketBottom__history-selectText {
        margin-right: 35px;
    }

    .marketBottom__history-text::before{
        font-size: 10px;
    }

    .marketBottom__chats-right--title{
        font-size: 6px;
    }
}

@media (min-width: 960px){
    .mobile{
        display: none;
    }

    .header__menu{
        display: none;
    }
}

@media (max-width: 960px){
    .noMobile{
        display: none;
    }
    .mobile{
        display: block;
    }
    .back{
        margin-bottom: 55px;
    }

    body{
        justify-content: flex-start;
    }

    main{
        padding-bottom: 101px;
        padding-top: 77px;
    }

    .header{
        &__inner{
            padding: 21px 10px 21px 10px;
        }

        &__logo{
            margin-left: 27px;
            margin-right: 0;
            &.white{
                display: block;
            }
            &.dark{
                display: none;
            }
        }

        &__lang{
            margin: auto 0;
        }

        &__menu{
            position: absolute;
            background: var(--header-menu-background);
            width: 100%;
            height: 92vh;
            @include TLa(75px, 0);
            z-index: 20;
            transform: translateX(-100%);
            @include transition;
            .header__lang{
                margin-bottom: 30px;
            }
            &.active{
                transform: translateX(0);
            }
            &-inner{
                padding: 38px 101px 95px 58px;
                display: flex;
                flex-direction: column;
                height: 100%;
                overflow: auto;
            }
            &-box{
                position: relative;
                margin-bottom: 41px;
                // &:not(:nth-of-type(5)){
                // }
                &::after{
                    content: '';
                    width: 100%;
                    height: 0.4px;
                    background: #D6D6D6;
                    position: absolute;
                    @include BLa(-20px, 0);
                }
                &:nth-of-type(5){
                    margin-bottom: 45px;
                }
                // &:first-of-type{
                //     margin-bottom: 41px;
                // }
            }
            &-line{
                display: flex;
                align-items: center;
                justify-content: flex-start;
                svg{
                    margin-left: 27px;
                    transform: rotate(180deg);
                    @include transition;
                }
                &.active{
                    svg{
                        transform: rotate(0);
                    }
                }
            }
            &-title{
                @include font(16px, 'Montserrat', var(--lang-color), 20px, 600);
            }
            &-content{
                margin-top: 30px;
                display: none;
                &--link{
                    @include font(14px, 'Montserrat', var(--lang-color), 21px, 400);
                    display: block;
                    &:not(:last-of-type){
                        margin-bottom: 24px;
                    }
                }
            }
            &-button{
                width: 27px;
                div{
                    width: 100%;
                    height: 1px;
                    background: var(--main) !important;
                    @include transition;
                    &:nth-of-type(2){
                        margin: 7px 0;
                    }
                }
                &.active{
                    div{
                        &:nth-of-type(2){
                            opacity: 0;
                        }
                        &:first-of-type{
                            transform: translate(0px, 7px) rotate(45deg);
                        }
                        &:last-of-type{
                            transform: translate(0px, -9px) rotate(-45deg);
                        }
                    }
                }
            }
            &-bottom{
                // margin-top: auto;
                &--button{
                    padding: 20px 0;
                    position: relative;
                    font-family: 'Montserrat';
                    margin-bottom: 40px;
                    &::before{
                        content: '';
                        background: #D7261D;
                        width: 100%;
                        height: 100%;
                        border-radius: 15px;
                        @include BLa(-4px, 0);
                        position: absolute;
                        z-index: -1;
                    }
                }
                &--text{
                    @include font(14px, 'Montserrat', var(--lang-color), 21px, 400);
                    &.link{
                        margin-top: 18px;
                        display: block;
                    }
                }
            }
        }
        &__right{
            &.mobile{
                display: flex;
                align-items: center;
            }
        }
        &__notific{
            @include box(32px, 8px);
            svg{
                width: 12px;
                height: 14px;
                padding: 7.5px 9px;
            }
            &-num{
                @include box(12px, 50%);
                font-size: 6px;
                line-height: auto;
                padding-top: 1px;
                bottom: -4px;
                right: -3px;
            }
            &-box{
                padding: 17px 28px 17px 11px;
            }
        }
        &__profile{
            margin-right: 0;
            @include box(32px, 8px);
            img{
                width: 12px;
                height: 11px;
            }
        }
        &__register{
            position: relative;
            display: flex;
            align-items: center;
            border: 1px solid #FF7925;
            border-radius: 10px;
            &-text{
                margin-left: 10px;
                margin-right: 16px;
                @include font(10px, 'Montserrat', var(--lang-color), 13px, 600);
            }
        }

        &__name{
            margin-left: 11px;
            &-name{
                font-size: 10px;
                line-height: auto;
                margin-bottom: 4px;
                span{
                    display: none;
                }
            }
            &-money{
                font-size: 8px;
                line-height: 10px;
            }
        }
    }

    .profile{
        &__inner{
            flex-direction: column;
        }

        &__top{
            &-right{
                &--link{
                    &:not(:last-of-type){
                        margin-right: 0;
                    }
                    &:last-of-type{
                        margin-right: 0;
                    }
                    &.inCenter{
                        display: flex;
                        justify-content: center;
                        margin-top: 40px;
                    }
                }
            }
        }

        &__right{
            width: 100%;
            max-width: none;
            &-box{
                max-width: none;
                width: 100%;
            }
        }

        &__center{
            width: 100%;
            max-width: none;
            margin-bottom: 73px;
            margin-top: 0;
            padding: 0;
            &-top{
                margin-bottom: 39px;
                &::before{
                    display: none;
                }
                &.withHr{
                    &::before{
                        content: '';
                        display: block;
                        bottom: -6px;
                    }
                }
            }
            &-bottom{
                flex-direction: column;
            }
            &-img{
                width: 100%;
                height: auto;
            }
            &-column{
                width: 100%;
                &.mr{
                    margin-right: 0;
                    margin-bottom: 49px;
                }
            }
        }

        &__changePhoto,
        &__changePass{
            width: 100%;
        }

        &__left{
            display: none;
            padding: 0;
            margin-bottom: 20px;
            &.mobile{
                display: block;
                max-width: none;
                background: none;
                min-height: auto;
            }
            &-title{
                &.mr{
                    margin-right: 0;
                }
            }
        }

        &__toggleTheme{
            justify-content: space-between;
        }

        &__title{
            font-size: 16px;
        }

        &__grid{
            @include grid(1, 1fr, 20px);
            &-box{
                margin: 0px 30px;
            }
        }

    }

    .reg{
        &__background{
            display: none !important;
        }
        &__inner{
            flex-direction: column;
        }
        &__left{
            margin: 0;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            &-line{
                margin-top: 0;
                svg{
                    display: none !important;
                }
            }
            &-box{
                flex-direction: row;
                &:not(:last-of-type){
                    margin: 0;
                    margin-right: 18px;
                }
                &--num{
                    font-size: 24px;
                    line-height: 16px;
                    width: 42px;
                    height: 42px;
                    padding-bottom: 3px;
                }
                &--text{
                    margin-top: 0;
                    display: none;
                    font-size: 12px;
                    &.active{
                        display: block;
                        margin-left: 18px;
                        margin-right: 5px;
                    }
                }
            }
        }
        &__right{
            &-title{
                text-align: center;
                margin-top: 45px;
                font-size: 20px;
                line-height: normal;
                &.bigMb{
                    margin-bottom: 147px;
                }
            }
            &-desc{
                text-align: center;
            }
            &-thanks{
                width: 100%;
                text-align: center;
            }
            &-email{
                text-align: center;
                margin: 108px 0px 54px;
            }
        }

        &__success{
            text-align: center;
        }

        &__input{
            width: 100%;
            &-wrapper,
            &-right{
                width: 100%;
            }
        }

        &__choiceType{
            justify-content: center;
            &-choice{
                max-width: 203px;
                max-height: 284px;
                height: 100%;
                width: 100%;
            }
            &-text{
                font-size: 14px;
            }
        }

        &__but{
            margin: 0 auto;
        }

        &__haveAcc{
            margin: 25px auto 0;
            text-align: center;
        }
    }

    .auth{
        .container{
            width: 100%;
            display: block;
        }
        &__title{
            text-align: center;
            margin-bottom: 14px;
            font-size: 24px;
        }

        &__subtitle{
            text-align: center;
            font-size: 14px;
        }

        &__form{
            padding: 0px 50px;
            align-items: center;
            &.bigMt{
                padding-top: 5px;
            }
        }

        &__error{
            align-self: start;
        }

        &__input{
            max-width: none;
        }

        &__vostPass{
            margin-top: 49px;
            text-align: center;
        }

        &__button{
            margin-top: 64px;
            &.bigMt{
                margin-top: 150px;
            }
        }

        .reg__haveAcc{
            margin-top: 40px;
        }

        &__anotherAuth{
            margin-top: 46px;
            flex-direction: column;
            width: 100%;
            &-box{
                width: 100%;
                &:not(:last-of-type){
                    margin-right: 0;
                    margin-bottom: 14px;
                }
            }
        }
    }

    .slider{
        margin-bottom: 91px;
        margin-top: 0;
        &__slide{
            flex-direction: column-reverse;
            margin-top: 0;
            min-height: auto;
            &-chest,
            &-glass,
            &-mine{
                display: none;
            }
            &-right{
                min-height: auto;
                margin: 38px 0px 37px 35px;
                width: 100%;
                margin-left: 0;
            }
            &-title{
                font-size: 24px;
                line-height: 30px;
                max-width: none;
                width: 100%;
                text-align: center;
                margin-bottom: 32px;
            }
            &-button{
                display: flex;
                justify-content: center;
                width: 100%;
            }
            &-circle{
                &--left{
                    position: absolute;
                    @include BLa(14px, 0);
                }
                &--right{
                    position: absolute;
                    @include TRa(43px, 0);
                }
            }
            &-left{
                height: 100%;
                display: flex;
                align-items: flex-end;
                img{
                    position: relative;
                    bottom: 0;
                    width: 100%;
                    height: auto;
                }
            }
        }
    }

    .block{
        &__title{
            text-align: center;
            margin-bottom: 37px;
            width: 100%;
        }

        &__line{
            flex-direction: column;
        }

        &__buttons{
            &-button{
                padding: 16px 31px;
            }
            &-scrollbar{
                margin-top: 25px;
            }
            &-wrapper{
                margin-bottom: 41px;
            }
        }

        &__content{
            grid-template-columns: repeat(1, 1fr);
            gap: 20px;
            margin-bottom: 46px;
        }
    }

    .modal{
        &__inner{
            width: 100%;
            padding: 25px 30px;
            padding-top: 40px;
        }
        &__choiceAvatar{
            grid-template-columns: repeat(2, 1fr);
            &-button{
                width: 100%;
                max-width: 100%;
            }
            &-item{
                width: 100%;
            }
        }
        &__item{
            flex-direction: column;
            margin-top: 32px;
            padding-right: 21px;
            &-left{
                margin-right: 0;
                margin-bottom: 55px;
            }
            &-logo{
                &--wrapper{
                    width: 100%;
                }
            }
            &-buttons{
                flex-direction: column;
            }
            &-line{
                flex-direction: column;
                align-items: flex-start;
            }
            .button{
                width: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                text-align: center;
                &:first-of-type{
                    margin-right: 0;
                    margin-bottom: 10px;
                }
            }
            &-price{
                margin-bottom: 10px;
            }
            &-selNum{
                width: 100%;
                > *{
                    width: 100%;
                }
                &--right{
                    justify-content: flex-end;
                }
            }
        }

        &__deleteLot{
            &-buttons{
                flex-direction: column;
            }

            &-button{
                width: 100%;
                &.green{
                    margin-right: 0;
                    margin-bottom: 10px;
                }
            }
        }

        &__obrSvaz{
            &-button{
                width: 100%;
            }
            &-title,
            &-subtitle{
                text-align: center;
            }
        }

        &__thanks{
            &-button{
                width: 100%;
                display: flex;
                justify-content: center;
            }
        }

        &__spor{
            &-grid{
                @include grid(1, 1fr, 11px);
            }

            &-item{
                text-align: center;
            }

            &-title,
            &-subtitle{
                text-align: center;
            }

            &-button{
                width: 100%;
                display: flex;
                justify-content: center;
            }
        }

        &__notRobot{
            &-img{
                width: 100%;
            }
        }
    }

    .question{
        &__question{
            width: 100%;
        }
    }

    .news{
        margin-bottom: 66px;
        &__title{
            margin-bottom: 23px;
        }

        &__content{
            @include grid(1, 1fr, 23px);
        }

        &__news-title,
        &__date{
            font-size: 14px;
            line-height: 21px;
        }

        &__description{
            line-height: normal;
            font-size: 10px;
        }

        &__button{
            font-size: 12px;
            padding: 11px 31px;
            svg{
                width: 15px;
            }
        }

        &__line{
            padding: 10px 26px;
        }

        &__out{
            &-line{
                margin-bottom: 10px;
            }
        }
    }

    .new{
        &__title{
            flex-direction: column;
            width: 100%;
            margin-bottom: 41px;
            &-text{
                font-size: 24px;
                line-height: 36px;
                margin-bottom: 23px;
            }
        }

        &__like{
            margin-bottom: 33px;
        }

        &__img{
            margin-right: 0;
            margin-bottom: 33px;
            width: 100%;
            height: auto;
        }

        &__right{
            width: 100%;
        }

        &__description{
            font-size: 15px;
            line-height: 21px;
        }
    }

    .text{
        &__title{
            margin-bottom: 32px;
            font-size: 24px;
            line-height: 36px;
        }

        &__description{
            font-size: 15px;
            line-height: 21px;
            letter-spacing: 0.005em;
        }
    }

    .marketTop{
        background: var(--marketBack-mobile);
        &__center{
            margin-right: 0;
            padding: 11px 15px 13px;
            background: none;
        }

        .container{
            padding: 0;
        }

        &__left{
            padding: 0px 15px;
        }

        &__search{
            max-width: 100%;
            margin-right: 6px;
            &-inputWrapper{
                max-width: 100%;
            }
        }

        &__box{
            display: flex;
            @include flexCenter;
            background: var(--marketBox);
            width: 47px;
            height: 100%;
            border-radius: 5px;
            margin-right: 6px;
            position: relative;
        }

        &__mobileSorting{
            margin-right: 0;
        }

        &__sorting{
            &-choose{
                width: 200px;
                top: 54px;
                left: -159px;
            }
        }

        &__settings{
            &-reset{
                margin: 0 16px;
                font-size: 12px;
                margin-top: 20px;
                padding: 10px;
                &:last-of-type{
                    margin-top: 10px;
                }
            }
            &-button{
                @include font(12px, 'Montserrat', var(--filter-button), 15px, 500);
                padding: 13px 50px;
                &.background{
                    background: #FF5C00;
                    border-radius: 8px;
                    color: #E4E4E4;
                }
                &--wrapper{
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    height: 100%;
                }
            }
            &-menu{
                position: absolute;
                width: 100vw;
                height: 68.5vh;
                background: var(--marketBack-mobile);
                z-index: 10;
                @include TLa(62px, 0px);
                transform: translateX(-100%);
                @include transition;
                display: flex;
                flex-direction: column;
                .profile__box-content{
                    display: block;
                    &.bigMt{
                        margin-top: 50px;
                    }
                }
                &.active{
                    transform: translateX(0);
                }
                &--top{
                    width: 100%;
                    display: flex;
                    height: 89%;
                }
                &--bottom{
                    display: flex;
                    align-items: center;
                    height: 11%;
                    background: var(--filer-bottom);
                    >*{
                        width: 50%;
                    }
                }
                &--left{
                    display: flex;
                    flex-direction: column;
                    width: 40%;
                    height: 100%;
                    overflow: auto;
                    background: var(--marketTop-filters-background);
                }
                &--title{
                    @include font(12px, 'Montserrat', var(--marketTop-filters-text), 15px, 400);
                }
                &--hr{
                    border: none;
                    width: 100%;
                    height: 0.4px;
                    background: var(--marketTop-filter-hr);
                    margin: 0;
                    margin-top: 20px;
                    &.notMt{
                        margin-top: 0;
                    }
                }
                &--right{
                    padding: 19px 23px;
                    background: var(--marketTop-filters-background-select);
                    width: 60%;
                    position: relative;
                    overflow: auto;
                    .marketBottom__checkbox-wrapper:first-of-type{
                        margin-top: 24px;
                    }
                    .marketBottom__checkbox:checked+label::after{
                        width: 13px;
                        height: 13px;
                        content: '';
                        border-radius: 2px;
                    }
                    &-page{
                        display: none;
                        &.active{
                            display: block;
                        }
                    }
                }
                &--selectPage{
                    width: 100%;
                    background: var(--marketTop-filters-background);
                    @include transition;
                    padding: 20px 16px 13px 20px;
                    @include font(12px, 'Montserrat', var(--marketTop-filters-text), 15px, 400);

                    &.active{
                        background: var(--marketTop-filters-background-select);
                    }
                }
            }
            &-search{
                position: relative;
                &-input{
                    background: var(--marketTop-filter-search-background);
                    border-radius: 5px;
                    padding: 13px 15px;
                    @include font(11px, 'Montserrat', var(--input-color-color), 13px, 400);
                    width: 100%;
                    margin: 7px 0;
                    &::placeholder{
                        @include font(11px, 'Montserrat', #939393, 13px, 400);
                    }
                }
                svg{
                    position: absolute;
                    @include TRa(0, 15px);
                    @include verCenterAbsol;
                }
            }
        }
        .ui-slider-handle{
            @include box(17px, 50%);
            background: var(--slider-dot);
            border: none;
        }

        .ui-state-focus{
            border: none;
            outline: none;
        }

        .ui-slider-horizontal,
        .ui-slider-handle{
            top: -8px;
        }

        .ui-slider{
            height: 1px;
            border: none;
            width: 97%;
            margin-left: 9px;
            margin-top: 35px;
        }

        .ui-widget-header,
        .ui-widget-content{
            background: #fafafa;
        }

        .profile__box-item{
            color: var(--sorting-chosed);
            font-family: 'Montserrat';
            font-style: normal;
            font-weight: 600;
            font-size: 13px;
            line-height: 16px;
        }

        .profile__box-content{
            margin-top: 17px;
        }

        .profile__box:not(:last-of-type){
            margin-bottom: 33px;
        }

        &__left-back{
            margin-right: 31px;
            &.notSee{
                display: none;
            }
        }
    }

    .profile__box-content{
        &.noMt{
            margin-top: 0;
        }
    }

    .profile{
        &__grid{
            &-box{
                &:hover{
                    background: var(--gridBox-back);
                    .profile__grid-icon--background{
                        background: var(--gridBox-circle);
                    }
                    p{
                        color: var(--lang-color);
                    }
                    svg *{
                        fill: #FF7F2D;
                    }
                }
            }
        }
    }

    .marketBottom{
        margin-bottom: 25px;
        &__inner{
            height: auto;
        }
        &__market2Mobile{
            .marketBottom__market2Mobile-item--bottom{
                padding: 0px 15px;
            }
        }
        &__bigMarket{
            @include grid(1, 1fr, 20px);
            .block__block:hover{
                .block__block-effect{
                    opacity: 0;
                    pointer-events: none;
                }

                .block__block-button{
                    opacity: 0;
                    pointer-events: none;
                }

                .block__block-title{
                    backdrop-filter: blur(6px);
                    opacity: 1;
                }
            }
        }

        &__out{
            &-button{
                font-size: 10px;
            }
        }
        &__innerMarket{
            @include grid(2, 1fr, 19px 10px);
        }
        &__card{
            width: 100%;
            &-title{
                font-size: 8px;
                line-height: 10px;
            }
            &-price{
                font-size: 16px;
            }
        }
        &__chat{
            &-files{
                .js-opne-selectFile{
                    background: none;
                    padding: 0;
                    margin-top: 4px;
                    *{
                        fill: #FF5C00;
                    }
                }
            }
        }
        &__left-back--right{
            @include font(13px, 'Montserrat', #FF5C00, 16px, 600);
            text-decoration: underline;
            margin-left: auto;
        }
        &__right{
            max-height: none;
            padding-right: 0;
            width: 100%;
            overflow:visible;
            &.fav{
                margin-left: 0;
            }
            &::-webkit-scrollbar{
                width: 0;
            }
        }
        &__inner{
            flex-direction: column;
        }
        &__mobileTitle{
            display: flex;
            align-items: center;
            margin-bottom: 35px;
        }
        &__chats{
            &-left{
                &--hr{
                    margin-bottom: 0;
                }
            }
        }
        &__market2{
            &-block{
                &--more{
                    margin-left: auto;
                }
            }
        }
        &__market2Mobile{
            &-change{
                @include font(20px, 'Montserrat', $orange, 15px, 600);
            }
            &-changeNum{
                font-family: "Montserrat";
                line-height: 13px;
                font-weight: 400;
                font-size: 32px;
                color: var(--footerMobile-icon);
                @include transition;
                &.plus{
                    margin-right: 20px;
                }
                &:hover{
                    color: $orange;
                }
                &--wrapper{
                    display: flex;
                    justify-content: center;
                }
            }
            &-top{
                margin-bottom: 18px;
                background: var(--market2-top);
                border-radius: 5px;
                padding: 21px 57px 20px 41px;
                display: flex;
                align-items: flex-start;
                height: 122px;
                position: relative;
                &::after{
                    content: '';
                    height: 100%;
                    width: 7px;
                    background: black;
                    border-radius: 5px;
                    position: absolute;
                    @include TLa();
                }
                @include color('blue', #4643E4);
                @include color('pink', #E443AD);
                @include color('red', #E44343);
                @include color('green', #00C800);
                &--right{
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    align-items: flex-start;
                    height: 100%;
                }
            }
            &-img{
                max-width: 87px;
                max-height: 74px;
                @include box(100%, 0);
                object-fit: cover;
                margin-right: 35px;
            }
            &-tags{
                display: flex;
                align-items: center;
            }
            &-title{
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 600);
            }
            &-author{
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px);
            }
            .marketBottom__tag:not(:last-of-type){
                margin-bottom: 0;
                margin-right: 8px;
            }
            &-filters{
                display: flex;
                margin-bottom: 21px;
                margin-left: 6px;
                &--wrapper{
                    margin-left: 0;
                    margin-right: 0;
                }
                &--title{
                    @include font(10px, 'Inter', var(--market2-mobFil), 13px, 400);
                    margin-right: 14px;
                }
                &--filter{
                    &:not(:last-of-type){
                        margin-right: 15px;
                    }
                    &:first-of-type{
                        margin-left: 18px;
                    }
                    svg{
                        @include transition;
                    }
                    &.active{
                        svg{
                            transform: rotate(180deg);
                        }
                    }
                    // &.rare{
                    //     justify-content: center;
                    //     padding-left: 61px;
                    // }
                    // &.huge{
                    //     padding-left: 32px;
                    // }
                    // &.type{
                    //     padding-left: 14px;
                    // }
                }
                >div{
                    // width: 33%;
                    display: flex;
                    width: auto;
                }
            }
            &-item{
                border-radius: 12px;
                border: 1px solid var(--market2-mobBor);
                background: var(--market2-mobBack);
                padding: 8px 0 23px 0;
                position: relative;
                &:not(:last-of-type){
                    margin-bottom: 19px;
                }
                &--top{
                    // display: flex;
                    // align-items: center;
                    // justify-content: space-between;
                    height: 62px;
                    padding: 7px 10px 8px;
                    &-wrapper{
                        margin-bottom: 30px;
                        position: relative;
                        display: flex;
                        align-items: center;
                        &::before{
                            content: '';
                            width: 100%;
                            height: 77px;
                            // border-radius: 5px;
                            background: var(--market2-itemTop);
                            position: absolute;
                        }
                        hr{
                            margin-left: 28px;
                        }
                    }
                }
                &--bottom{
                    display: flex;
                    align-items: center;
                    height: 46px;
                    &.lot{
                        justify-content: space-between;
                        .marketBottom__market2Mobile-item--text{
                            width: 100%;
                        }
                        svg{
                            width: 100%;
                        }
                    }
                }
                &--wrapper{
                    // width: 33%;
                    display: flex;
                    // padding-left: 17px;
                    align-items: center;
                    min-width: 87px;
                    width: auto;
                    margin-right: 15px;
                    &:first-of-type{
                        margin-left: 15px;
                    }
                    &.center{
                        justify-content: center;
                        padding-left: 0;
                    }
                }
                &--text{
                    @include font(12px, 'Montserrat', var(--footerMobile-icon), 13px, 600);
                    position: relative;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    &.center{
                        text-align: center;
                    }
                    &.big{
                        font-size: 20px;
                        line-height: 25px;
                    }
                    &.number{
                        margin: 0px 8px 0px 9px;
                        &::after{
                            content: 'Кол - во';
                            @include font(10px, 'Inter', #848484, 12px, 400);
                            position: absolute;
                            @include TLa(-37px);
                        }
                    }
                    &.price{
                        margin: 0px 16px 0px 21px;
                        &::after{
                            content: 'Цена';
                            @include font(10px, 'Inter', #848484, 12px, 400);
                            position: absolute;
                            @include TLa(-31px);
                        }
                    }
                }
            }
            &-basket{
                margin: 0px 20px 0px 23px;
            }
            &-hr{
                margin: 0;
                height: 100%;
                width: 0.4px;
                background: #D7D7D7;
                border: none;
            }
            .marketBottom__market2-block--more div{
                background: #FF7722;
            }
            .marketBottom__market2-menu{
                @include TRa(16px, 15px);
            }
        }

        &__mobileFilter{
            margin-bottom: 56px;
            &-title{
                position: relative;
                &:not(:last-of-type){
                    margin-bottom: 32px;
                }
                &::after{
                    content: '';
                    position: absolute;
                    @include TLa(25px);
                    width: 100%;
                    height: 0.4px;
                    background: #BEBEBE;
                }
                justify-content: center;
                display: flex;
            }
        }
        &__lots-box--menu{
            @include horCenterAbsol();
            &.active{
                transform: translate(-50%, 0);
            }
        }

        &__mobileItems{
            &:not(:last-of-type){
                margin-bottom: 55px;
            }
            &-title{
                @include font(14px, 'GothamPro', var(--lots-box-title), 14px, 500);
                margin-bottom: 28px;
            }
            &-item{
                position: relative;
                padding: 20px 0px 13px 37px;
                border-radius: 5px;
                background: var(--marketMobile-item);
                overflow: hidden;
                &::after{
                    content: '';
                    height: 100%;
                    width: 7px;
                    background: black;
                    border-radius: 5px;
                    position: absolute;
                    @include TLa();
                }
                @include color('blue', #4643E4);
                @include color('pink', #E443AD);
                @include color('red', #E44343);
                @include color('green', #00C800);
                &:not(:last-of-type){
                    margin-bottom: 17px;
                }
                .marketBottom__market2Mobile-item--bottom{
                    margin-bottom: 14px;
                }
            }
        }

        &__mobileItem{
            &-delete{
                position: absolute;
                @include TRa(20px, 19px);
                *{
                    fill: var(--footerMobile-icon);
                }
            }
            &-top{
                display: flex;
                margin-bottom: 38px;
            }
            &-img{
                width: 87px;
                height: 74px;
                object-fit: cover;
                margin-right: 35px;
            }
            &-tags{
                display: flex;
                .marketBottom__tag:not(:last-of-type){
                    margin-right: 8px;
                }
            }
            &-title{
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 600);
                margin-bottom: 7px;
                max-width: 159px;
                width: 100%;
            }
            &-author{
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 400);
                margin-bottom: 12px;
            }

            &-options{
                display: flex;
                background: var(--marketMobile-options);
                padding: 7px 0px 9px;
                border-radius: 5px;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-wrap: nowrap;
                >*:not(hr){
                    width: 50%;
                }
                &--wrapper{
                    padding-top: 32px;
                    padding-bottom: 14px;
                    display: flex;
                    width: 100%;
                    overflow: auto;
                    align-items: center;
                    &::-webkit-scrollbar{
                        height: 17px;
                    }
                    &::-webkit-scrollbar-track{
                        background: var(--scrollbar-color);
                        border-radius: 8px;
                    }
                    &::-webkit-scrollbar-thumb{
                        background-color: $orange;
                        border-radius: 6.5px;
                    }
                }
            }
            &-option{
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 600);
                position: relative;
                height: 62px;
                display: flex;
                align-items: center;
                &:first-of-type{
                    margin-left: 44px;
                }
                margin-left: 17px;
                margin-right: 26px;
                &::before{
                    position: absolute;
                    content: '';
                    @include font(10px, 'Inter', #BBBBBB, 13px, 400);
                    @include TLa(-32px);
                }
                &.huge{
                    display: flex;
                    >p{
                        &:not(:last-of-type){
                            margin-right: 12px;
                            margin-bottom: 0;
                        }
                    }
                }
                @include before('rare', 'Редкость');
                @include before('huge', 'Huge');
                @include before('type', 'Тип');
                @include before('shiny', 'Shiny');
                @include before('hc', 'HC');
            }
        }

        &__noticationsAll{
            flex-direction: column-reverse;
        }

        &__notification{
            padding: 25px 26px 24px 18px;
            &-icon{
                min-width: 34px;
                display: flex;
                justify-content: center;
                align-items: center;
            }
        }

        &__noticationsAll{
            height: auto;
        }

        &__notifications{
            padding-right: 0;
            margin-right: 0;
            overflow: visible;
            max-width: none;
            height: auto;
            &-right{
                width: 100%;
                margin-bottom: 60px;
                position: relative;
                margin-top: 0;
                display: none;
                &::after{
                    content: '';
                    position: absolute;
                    width: 87%;
                    @include BLa(-36px);
                    left: 50%;
                    transform: translateX(-50%);
                    padding: 0 10px;
                    height: 0.4px;
                    background: #BEBEBE;
                }
            }
            &-openClose{
                display: flex;
                justify-content: space-between;
                align-items: center;
                position: relative;
                margin-bottom: 39px;
                svg{
                    @include transition;
                }
                &.active{
                    svg{
                        transform: rotate(180deg);
                    }
                }
                &::after{
                    content: '';
                    width: 100%;
                    height: 0.4px;
                    background: #bebebe;
                    @include BLa(-17px);
                    position: absolute;
                }
            }
            &-title{
                @include font(14px, 'GothamPro', var(--footerMobile-icon), 14px, 400);
                margin-left: 15px;
            }
        }
        &__notifications-settings{
            padding: 27px 19px 35px 23px;
        }
        &__setting{
            &-title{
                font-size: 14px;
            }
        }

        &__lot{
            &-top{
                @include grid(1, 1fr, 30px);
                margin-top: 0;
            }
            &-toChat{
                padding: 28px 33px 28px 43px;
            }
        }

    }

    .mobileChat{
        margin-bottom: 20px;
        &__bigHr{
            margin: 0;
            border: 0;
            height: 0.5px;
            background: var(--mobileChat-hr);
            margin-bottom: 16px;
        }

        &__page{
            display: none;
            &.active{
                display: block;
            }
        }

        &__chat{
            display: flex;
            justify-content: flex-start;
            width: 100%;
            height: 74px;
            &:not(:last-of-type){
                margin-bottom: 7px;
            }
            &.online{
                .mobileChat__avatar-wrapper{
                    &::after{
                        content: '';
                        position: absolute;
                        @include box(10px, 50%);
                        background: #77E882;
                        border: 3px solid white;
                        @include BRa();
                    }
                }
            }
            &.notCheck{
                .mobileChat__check{
                    display: none;
                }
            }
        }

        &__right{
            width: 100%;
            position: relative;
            &-top{
                display: flex;
                justify-content: flex-end;
                margin-bottom: 11px;
                position: absolute;
                @include TRa(-5px, 0);
            }
            &-bottom{
                display: flex;
                justify-content: space-between;
                align-items: center;
                margin-top: 13px;
                margin-bottom: 26px;
                margin-left: 19px;
            }
        }

        &__date{
            @include font(10px, 'GothamPro', var(--mobileChat-date), 10px, 300);
        }

        &__check{
            margin-left: 3px;
        }

        &__hr{
            border: none;
            background: var(--mobileChat-hr2);
            height: 0.3px;
        }

        &__name{
            @include font(12px, 'GothamPro', var(--mobileChat-name), 12px, 400);
        }

        &__numberMessage{
            @include font(10px, 'GothamPro', var(--mobileChat-name), 12px, 400);
            padding: 4px 7px 2px;
            background: #FF5C00;
            border-radius: 6px;
        }

        &__avatar{
            @include box(45px, 50%);
            object-fit: cover;
            &-wrapper{
                position: relative;
                width: 45px;
                height: 45px;
                margin-right: 15px;
            }
        }
    }

    .chatMobile{
        &__top{
            margin-bottom: 6px;
            &-inner{
                display: flex;
                justify-content: flex-start;
                align-items: center;
            }
            svg{
                margin-right: 33px;
            }
        }

        &__avatar{
            @include box(31px, 50%);
            object-fit: cover;
            &-wrapper{
                position: relative;
                margin-right: 12px;
                &.online{
                    &::after{
                        content: '';
                        position: absolute;
                        @include box(6px, 50%);
                        background: #77E882;
                        border: 2px solid white;
                        @include BRa(4px, -2px);
                    }
                }
            }
        }

        &__column{
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
        }

        &__name{
            @include font(12px, 'GothamPro', var(--footerMobile-icon), 12px, 400);
            margin-bottom: 2px;
        }
        &__date{
            @include font(9px, 'GothamPro', #707070, 12px, 400);
            &-wrapper{
                display: flex;
                align-items: center;
                margin-top: 33px;
                margin-bottom: 42px;
            }
            &-date{
                @include font(11px, 'GothamPro', var(--mobileChat-date-messages), 11px, 400);
                padding: 0px 17px;
            }
            &-hr{
                width: 100%;
                border: none;
                height: 0.5px;
                background: var(--mobileChat-hr3);
            }
        }

        &__hr{
            border: none;
            height: 0.5px;
            background: var(--mobileChat-hr);
            margin: 0;
            margin-bottom: 9px;
        }

        &__input{
            border: 0;
            @include font(12px, 'GothamPro', var(--mobileChat-input-text), 12px, 400);
            padding: 10px 12px;
            border: 1px solid var(--mobileChat-input-border);
            margin: 0px 9px 0px 9px;
            border-radius: 7px;
            width: 100%;
            background: var(--mobileChat-input-background);
            &::placeholder{
                @include font(12px, 'GothamPro', var(--mobileChat-input-text), 12px, 400);
            }
            &-send{
                &--wrapper{
                    width: 37px;
                    height: 32px;
                    border-radius: 50%;
                    background: #FF5C00;
                    display: flex;
                    @include flexCenter;
                }
            }
            &-wrapper{
                background: var(--mobileChat-input-wrapper);
                padding: 17px 12px 20px;
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
                position: fixed;
                @include BLa(83px);
                .marketBottom__chat-files{
                    margin-right: 0;
                }
                .marketBottom__chat-menu{
                    left: -5px;
                    transform: translate(0);
                }
            }
        }

        &__select{
            svg{
                @include transition;
            }
            &-select{
                position: relative;
                &--line{
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    padding: 10px 23px 12px 21px;
                    background: var(--mobileChat-select-background);
                    border-radius: 8px;
                    &.active{
                        svg{
                            transform: rotate(-180deg);
                        }
                    }
                }

            }
            &-title{
                @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 500);
            }
            &-menu{
                position: absolute;
                @include TLa(45px);
                display: flex;
                flex-direction: column;
                background: var(--mobileChat-select-background);
                border-radius: 8px;
                width: 100%;
                @include transition;
                max-height: 188px;
                overflow: auto;
                opacity: 0;
                transform: translateY(-10px);
                pointer-events: none;
                z-index: 2;
                &.active{
                    opacity: 1;
                    transform: translateY(0);
                    pointer-events: all;
                }
                &--item{
                    padding: 15px 0px 17px;
                    text-align: center;
                    @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 500);
                }
            }
            &-buttons{
                @include grid(2, 1fr, 10px);
                margin-top: 9px;
                margin-bottom: 19px;
            }
            &-button{
                width: 100%;
                display: flex;
                @include flexCenter;
                padding: 14px 0px;
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 600);
                border-radius: 7px;
                border: 1px solid black;
                &.red{
                    border-color: #FF5C00;
                }
                &.green{
                    border-color: #38BE7E;
                }
            }
        }

        &__chat{
            background: var(--mobileChat-background);
            &-inner{
                padding: 18px 0px 80px 0;
                // height: 494px;
                position: relative;
            }
            &-message{
                max-width: 294px;
                min-width: 122.5px;
                @include font(13px, 'GothamPro', var(--mobileChat-message), 13px, 400);
                padding: 9px 47px 7px 25px;
                background: var(--mbolieChat-meessage-background);
                border-radius: 7px;
                margin-left: 2.75px;
                &--wrapper{
                    position: relative;
                    display: flex;
                    justify-content: flex-start;
                    margin: 0px 10px;
                    &.right{
                        justify-content: flex-end;
                        .chatMobile__chat-message{
                            background: var(--mbolieChat-meesagee-background-right);
                            margin-left: 0;
                            margin-right: 9px;
                            padding-left: 20px;
                        }
                        .chatMobile__chat-left{
                            @include TRa();
                            left: auto;
                            *{
                                fill: var(--mbolieChat-meesagee-background-right);
                            }
                        }
                        .chatMobile__chat-message--date{
                            right: 14px;
                        }
                    }
                    &:not(:last-of-type){
                        margin-bottom: 16px;
                    }
                    &Wrapper{
                        position: relative;
                        max-width: 294px;
                        min-width: 152.5px;
                        margin-left: 8.75px;
                    }
                }
                &--date{
                    @include font(8px, 'GothamPro', var(--mobileChat-message-date), 8px, 400);
                    position: absolute;
                    @include BRa(3px, 4px);
                }
            }
            &-left{
                position: absolute;
                @include TLa();
                *{
                    fill: var(--mbolieChat-meessage-background);
                }
            }
        }
    }

    .basket{
        .marketBottom__market2Mobile-item--text{
            font-size: 20px;
        }
        &__inner{
            flex-direction: column;
        }
        &__left{
            margin-right: 0;
            width: 100% !important;
            margin-bottom: 25px;
            .inVis{
                position: static;
                opacity: 1;
                pointer-events: all;
            }
        }
        &__top{
            margin-bottom: 28px;
            &::after{
                display: none;
                content: '';
            }
        }
        &__clear{
            margin-right: 0;
        }
        &__box{
            &-item{
                justify-content: space-between;
            }
        }
        &__line{
            @include grid(1, 1fr, 15px);
            &-left,
            &-right{
                border-radius: 7px;
            }

            &-left{
                text-align: center;
                font-size: 12px;
            }

            &-right{
                font-size: 14px;
            }
        }

        &__buy{
            width: 100%;
            svg{
                margin-bottom: 4px;
            }
        }

        &__status{
            @include font(12px, 'Inter', black,15px, 400);
            &.orange{
                color: #DF992F;
            }
            &.red{
                color: #DF2F2F;
            }
            margin-bottom: 44px;
            margin-top: 24px;
        }

        &__market-line{
            justify-content: space-between;
        }

        .marketBottom__mobileItems-item.notAnav{
            &::before{
                content: '';
                position: absolute;
                @include TLa;
                width: 100%;
                height: 100%;
                background: var(--bakset-notAnav);
                z-index: 2;
                pointer-events: none;
            }
        }
    }

    .addLot{
        margin-bottom: 30px;
        &__inner{
            padding: 20px 30px;
        }
        &__title{
            font-size: 24px;
            line-height: 30px;
            margin-bottom: 15px;
        }
        &__desc{
            font-size: 12px;
            line-height: 12px;
            margin-bottom: 41px;
        }
        &__miniTitle{
            width: 100%;
            max-width: none;
            &.big{
                max-width: none;
            }
        }
        &__selectGame{
            &-block{
                @include grid(1, 1fr, 15px);
                width: 100%;
                .block__block{
                    width: 100%;
                }
            }

        }
        &__sixLine-block{
            @include grid(2, 1fr, 37px 14px);
        }
        &__sixLine-top{
            width: 100%;
        }
        &__slider-line{
            display: flex;
        }
        &__scrollbar{
            display: none;
        }
        &__selects{
            flex-direction: column;
            align-items: flex-start;
        }
        &__select{
            width: 100%;
            &-title{
                width: 100%;
            }
        }
        &__selectFourColumn-item{
            @include grid(1, 1fr, 15px);
        }
        &__miniTitle{
            &-wrapper{
                flex-direction: column;
                align-items: flex-start;
            }
        }
        &__myItemNotInList{
            margin-left: 0;
            margin-top: 52px;
        }
        &__selectTwoColumn-item.long{
            @include grid(1, 1fr, 15px);
        }
        .lineSlider{
            padding-bottom: 0;
        }
        .lineSlider.scrollOnMob{
            padding-bottom: 43px;
            .addLot__scrollbar{
                display: block;
            }
            .addLot__slider-line{
                display: none;
            }
        }
        &__inputsLine{
            flex-direction: column;
            &-line{
                margin-top: 60px;
                width: 100%;
                input{
                    margin-right: 24px !important;
                }
            }
        }
        &__button{
            width: 100%;
            display: flex;
            justify-content: center;
            &-wrapper{
                width: 100%;
                margin-top: 64px;
            }
        }
        &__input{
            width: 100%;
            &:not(:last-of-type){
                margin-right: 0;
                margin-bottom: 60px;
            }
            &:last-of-type{
                margin-right: 0;
            }
        }
    }

    .question__question{
        width: 342px;
        left: auto;
        transform: translateX(0);
        right: 0;
    }

    .footerMobile{
        background: var(--background-footer);
        height: 86px;
        position: fixed;
        bottom: 0;
        width: 100%;
        z-index: 10;
        &__inner{
            @include grid(5, 1fr, 5px);
            padding: 6px 15px 22px 15px;
        }

        &__box{
            display: flex;
            flex-direction: column;
            @include flexCenter;
            width: 100%;
            height: 73px;
            border-radius: 5px;
            &-text{
                @include font(7px, 'Montserrat', var(--lang-color), 9px, 500);
                margin-top: 11px;
                text-transform: uppercase;
            }
            &-icon{
                height: 25px;
                svg:not(.stroke) *{
                    fill: var(--footerMobile-icon);
                }
                svg.stroke *{
                    fill: var(--footerMobile-icon);
                    stroke: transparent;
                }
            }
            &.active{
                background: #FF5C00;
                svg *{
                    fill: white;
                }
                p{
                    color: white;
                }
            }
        }
    }

    .mobileBack{
        margin-bottom: 41px;
        &__inner{
            display: flex;
            align-items: center;
        }

        &__back{
            display: flex;
            align-items: center;
            margin-right: 31px;
            &-text{
                margin-left: 11px;
                @include font(10px, 'Montserrat', var(--footerMobile-icon), 13px, 400);
            }
        }

        &__title{
            @include font(13px, 'Montserrat', var(--footerMobile-icon), 16px, 600);
        }

        &__clear{
            @include font(13px, 'Montserrat', $orange, 16px, 600);
            margin-left: auto;
            text-decoration: underline;
            &.noOrange{
                color: var(--footerMobile-icon);
            }
        }
    }

    .dark{
        .header__logo{
            &.white{
                display: none;
            }
            &.dark{
                display: block;
            }
        }
    }
}

@media (max-width: 450px){
    .header{
        &__notific{
            &-content{
                top: 60px;
                left: -55vw;
                width: 95vw;
            }
        }
    }
}

@media(max-width: 386px){
    .marketBottom__market2Mobile-item--text{
        font-size: 8px;
        padding-right: 10px;
    }

    .marketBottom__market2Mobile-item--text.big{
        font-size: 12px;
    }

    .header__menu-title{
        font-size: 12px;
    }

    .header__menu-box:not(:nth-of-type(5)){
        margin-bottom: 30px;
    }

    .header__menu-box::after,
    .header__menu-box:not(:nth-of-type(5))::after{
        bottom: -15px;
    }

    .header__menu-bottom--text{
        font-size: 12px;
    }
}

@media (max-width: 380px){
    // .marketBottom__market2Mobile-item{
    //     &--text{
    //         &.number{
    //             // font-size: 8px;
    //         }

    //         &.big{
    //             // font-size: 10px;
    //         }
    //     }
    // }

    // .marketBottom__market2Mobile-item--text::after{
    //     // font-size: 8px !important;
    // }

    .marketBottom__mobileItem-delete {
        top: 9px;
        right: 5px;
    }
}

@mixin height($mh, $h){
    @media (max-height: $mh){
        .marketTop__settings-menu{
            height: $h;
        }
    }
}

@include height(724px, 66.5vh);
@include height(646px, 63.5vh);
// @include height(602px, 61.5vh);

$height: 602px;
$mh: 61.5vh;
@for $i from 1 through 10{

    @include height($height, $mh);

    $height: $height - 40px;
    $mh: $mh - 3vh;
}
